Index of Functions: A B C D E F G H I J K L M N O P Q R S T U V W X
Index Page dskgtl_c
Table of contents
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       dskgtl_c ( DSK, get tolerance )

       void dskgtl_c ( SpiceInt        keywrd,
                       SpiceDouble   * dpval  )
#### Abstract
       Retrieve the value of a specified DSK tolerance or margin parameter.
#### Required_Reading
       DSK
#### Keywords
       DSK
       MARGIN
       NUMERIC
       TOLERANCE
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       keywrd     I   Code specifying parameter to retrieve.
       dpval      O   Value of parameter.
#### Detailed_Input
       keywrd      is an integer code specifying the parameter to
                   retrieve. See the include file SpiceDtl.h for
                   a description of the possible keywords.
#### Detailed_Output
       dpval       is the value of the parameter specified by `keywrd'.
#### Parameters
       See the header file

          SpiceDtl.h

       for descriptions and values of the tolerance or margin parameters
       accessed by this routine, and of the keyword parameters used to
       refer to them.
#### Exceptions
       1)  If the input keyword is not recognized, the error
           SPICE(INDEXOUTOFRANGE) is signaled by a routine in the call tree
           of this routine.
#### Files
       None.
#### Particulars
       The DSK tolerance routines centralize numeric tolerance and margin
       values used by the DSK subsystem. The DSK subsystem retrieves values
       from the DSK tolerance subsystem to use at run time.

       The DSK tolerance access functions are

          dskgtl_c {DSK, get tolerance value}
          dskstl_c {DSK, set tolerance value}

       To minimize run time overhead, the "keywords" used by these routines
       to identify parameters are actually integer codes.

       SPICE users may override certain values maintained by this subsystem;
       others values are fixed. It is recommended that any change to the
       tolerance values made at run time be performed only by expert SPICE
       users.
#### Examples
       The numerical results shown for this example may differ across
       platforms. The results depend on the SPICE kernels used as
       input, the compiler and supporting libraries, and the machine
       specific arithmetic implementation.

       1) Obtain and display the DSK type 2 plate expansion fraction.

          Example code begins here.

          /.
             Program dskgtl_ex1
          ./
          #include <stdio.h>
          #include "SpiceUsr.h"

          int main()
          {
             SpiceDouble             dpval;

             dskgtl_c ( SPICE_DSK_KEYXFR, &dpval );

             printf ( "Plate expansion fraction = %e\n", dpval );

             return ( 0 );
          }

          When this program was executed on a Mac/Intel/cc/64-bit
          platform, the output was:

          Plate expansion fraction = 1.000000e-10
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       N.J. Bachman        (JPL)
       J. Diaz del Rio     (ODC Space)
#### Version
       -CSPICE Version 1.0.1, 02-JUL-2021 (JDR)

           Edited the header to comply with NAIF standard. Corrected
           CSPICE include file name reference in "keywrd" description.

           Updated INDEXOUTOFRANGE exception description.

       -CSPICE Version 1.0.0, 27-FEB-2016 (NJB)
#### Index_Entries
       retrieve DSK tolerance or margin parameters
#### Link to routine dskgtl_c source file dskgtl_c.c

    Fri Dec 31 18:41:04 2021